Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI:

## Public Member Functions
| __construct (array $siteAccessesConfiguration)
| Constructor. More...
| getName ()
| Returns the matcher's name. More...
| setRequest (SimplifiedRequest $request)
| Injects the request object to match against. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex
| __construct ($regex, $itemNumber)
| Constructor. More...
| __sleep ()
| match ()
| Returns matched Siteaccess or false if no siteaccess could be matched. More...
| setMatchElement ($element)
| Injects element to match against with the regexp. More...

## Private Attributes
| $siteAccessesConfiguration

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex
| getMatchedSiteAccess ()
| Returns matched SiteAccess. More...
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex
| $element
| $regex
| $itemNumber
| $request
| $matchedSiteAccess

## Detailed Description

Deprecated:
  since 5.3 as it cannot be reverted.

Definition at line 16 of file Regex/URI.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI::__construct | ( | array | $siteAccessesConfiguration | ) |

Constructor.

Parameters

  array | $siteAccessesConfiguration | SiteAccesses configuration.

Definition at line 30 of file Regex/URI.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI\$siteAccessesConfiguration.

## Member Function Documentation

## ◆ getName()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI::getName | ( |  | ) |

Returns the matcher's name.

This information will be stored in the SiteAccess object itself to quickly be able to identify the matcher type.

Returns
  string

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Definition at line 39 of file Regex/URI.php.

## ◆ setRequest()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI::setRequest | ( | SimplifiedRequest | $request | ) |

Injects the request object to match against.

Parameters

  \eZ\Publish\Core\MVC\Symfony\Routing\SimplifiedRequest | $request |

Reimplemented from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex.

Definition at line 49 of file Regex/URI.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\$request, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\setMatchElement().

## Member Data Documentation

## ◆ $siteAccessesConfiguration

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI::$siteAccessesConfiguration
| private

Definition at line 23 of file Regex/URI.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI\__construct().

The documentation for this class was generated from the following file:

- Regex/URI.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.